| GET | /RestApi/comments-api/comments |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ThreadKey | query | string | No | |
| Skip | query | int | No | |
| Take | query | int | No | |
| SortDescending | query | bool | No | |
| NewerThan | query | DateTime | No | |
| OlderThan | query | DateTime | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| TotalCount | form | int | No | |
| Items | form | IEnumerable<CommentResponse> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Name | form | string | No | |
| Message | form | string | No | |
| DateCreated | form | DateTime | No | |
| ProfilePictureUrl | form | string | No | |
| ProfilePictureThumbnailUrl | form | string | No | |
| Status | form | string | No | |
| form | string | No | ||
| ThreadKey | form | string | No | |
| AuthorIpAddress | form | string | No | |
| CustomData | form | string | No | |
| Rating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/comments-api/comments HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK Content-Type: application/xml Content-Length: length <CollectionResponseOfCommentResponseXvaRN2Ag xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Services.Comments.DTO"> <Items i:nil="true" /> <TotalCount>0</TotalCount> </CollectionResponseOfCommentResponseXvaRN2Ag>